<?php
function fn_nequal_tc($aql)
{
	$data = $aql->Consume(2);
	
	//print_r($data);
	
	$thresh = $data[0]->value;
	if (is_array($thresh))
	{
		//echo "Threshold Is An Array!";
		//print_r($thresh);
		$thresh = $thresh[0];
	}
	
	if (count($data[1]->value) == 0)
	{
		$a = new AQLStackElement();
		$a->typename = "pointlist";
		$a->islist = true;
		$a->value = array();
		array_push($aql->stack,$a);
		return;
	}
	
	if ($data[1]->value[0]->value == "")
	{
		LiveValuesForPoints($data[1]->value);		
	}
	
	$hitlist = array();	
	foreach($data[1]->value as $pnt)
	{
		if ($pnt->rawvalue != $thresh)
		{
			$hitlist[] = $pnt;
		}
	}
	
	//print_r($hitlist);
	
	$a = new AQLStackElement();
	$a->typename = "pointlist";
	$a->islist = true;
	$a->value = $hitlist;
	array_push($aql->stack,$a);

}
?>